Bug 74227 - xemacs should default to utf-8 in utf-8 locale
Summary: xemacs should default to utf-8 in utf-8 locale
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: xemacs   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-18 09:22 UTC by Jens Petersen
Modified: 2015-01-08 00:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-19 08:41:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jens Petersen 2002-09-18 09:22:29 UTC
Description of Problem:
When XEmacs is started in a utf locale, it doesn't default to using
utf-8 encoding for buffers and files.

How Reproducible:
every time.

Steps to Reproduce:
1. LANG=en_US.utf-8

Actual Results:
XEmacs uses iso8859-1 encoding by default.

Expected Results:
Should use utf-8 encoding by default.

Comment 1 Jens Petersen 2003-04-17 13:00:18 UTC
This should be fixed in xemacs-21.4.12-8.

Comment 2 Horst H. von Brand 2004-07-16 20:03:37 UTC
Still very much broken as of xemacs-21.4.15-5 (FC2). I get a nice
"U00E1 not defined" message when pressing á (dead-' + a, á in
HTML-speak; spanish keyboard). Strangely, some characters do work (but
seem to give Latin-1 input, i.e. ¿).


Note You need to log in before you can comment on or make changes to this bug.